SCIM Reference
Get All Users
Get all users
GET
/
api
/
scim
/
v2
/
Users
Get All Users
curl --request GET \
--url https://app.sendoso.com/api/scim/v2/Users \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.sendoso.com/api/scim/v2/Users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.sendoso.com/api/scim/v2/Users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
schemas: ["urn:ietf:params:scim:schemas:core:2.0:User"],
itemsPerPage: 2,
startIndex: 1,
totalResults: 100,
Resources: [
{
id: "1000",
userName: "john.doe@sendoso.com",
active: false,
name: {
givenName: "John",
familyName: "Doe",
},
emails: [
{ value: "john.doe@sendoso.com" },
],
userType: "sender",
division: "Marketing Ops",
},
{
id: "2000",
userName: "jane.doe@sendoso.com",
active: true,
name: {
givenName: "Jane",
familyName: "Doe",
},
emails: [
{ value: "jane.doe@sendoso.com" },
],
userType: "admin",
division: "Sales",
}
]
}
Parameters
integer
The 1-based index of the first query result. A value less than 1 SHALL be interpreted as 1. By default this value is
1integer
Non-negative integer. Specifies the desired maximum number of query results per page, e.g.,
10. When specified, the service provider MUST NOT return more results than specified, although it MAY return fewer results. If unspecified, the maximum will be 100Response
array
required
The SCIM RFC schema for the User List resource - always
urn:ietf:params:scim:api:messages:2.0:ListResponseinteger
required
Non-negative integer. Specifies the number of query results returned in a query response page, e.g.,
10.integer
required
Non-negative integer. Specifies the total number of results matching the client query, e.g.,
1000.integer
required
The 1-based index of the first result in the current set of query results, e.g.,
1.array
required
Hide Resources
Hide Resources
string
required
The user’s identifier
string
required
The user’s email address
boolean
required
Whether or not the user is active or not in the Sendoso platform.
array
required
The user’s personal balance
string
required
The user’s role. Values can be
sender, manager, admin.string
required
The user’s team.
{
schemas: ["urn:ietf:params:scim:schemas:core:2.0:User"],
itemsPerPage: 2,
startIndex: 1,
totalResults: 100,
Resources: [
{
id: "1000",
userName: "john.doe@sendoso.com",
active: false,
name: {
givenName: "John",
familyName: "Doe",
},
emails: [
{ value: "john.doe@sendoso.com" },
],
userType: "sender",
division: "Marketing Ops",
},
{
id: "2000",
userName: "jane.doe@sendoso.com",
active: true,
name: {
givenName: "Jane",
familyName: "Doe",
},
emails: [
{ value: "jane.doe@sendoso.com" },
],
userType: "admin",
division: "Sales",
}
]
}
⌘I
Get All Users
